All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
cl::detail::Wrapper< T > Class Template Reference

`#include <cl2.hpp>`

## Public Types

typedef T | cl_type

## Public Member Functions

| Wrapper ()
| Wrapper (const cl_type &obj, bool retainObject)
| ~Wrapper ()
| Wrapper (const Wrapper< cl_type > &rhs)
| Wrapper (Wrapper< cl_type > &&rhs) CL_HPP_NOEXCEPT_
Wrapper< cl_type > & | operator= (const Wrapper< cl_type > &rhs)
Wrapper< cl_type > & | operator= (Wrapper< cl_type > &&rhs)
Wrapper< cl_type > & | operator= (const cl_type &rhs)
const cl_type & | operator() () const
cl_type & | operator() ()
const cl_type | get () const
cl_type | get ()

## Protected Member Functions

cl_int | retain () const
cl_int | release () const

## Protected Attributes

cl_type | object_

## Friends

template<typename Func , typename U >
cl_int | getInfoHelper (Func, cl_uint, U *, int, typename U::cl_type)

## Member Typedef Documentation

template<typename T>

typedef T cl::detail::Wrapper< T >::cl_type

## Constructor & Destructor Documentation

template<typename T>

cl::detail::Wrapper< T >::Wrapper | ( |  | ) |

inline

template<typename T>

cl::detail::Wrapper< T >::Wrapper | ( | const cl_type & | obj,
|  | bool | retainObject
| ) |  |

inline

template<typename T>

cl::detail::Wrapper< T >::~Wrapper | ( |  | ) |

inline

template<typename T>

cl::detail::Wrapper< T >::Wrapper | ( | const Wrapper< cl_type > & | rhs | ) |

inline

template<typename T>

cl::detail::Wrapper< T >::Wrapper | ( | Wrapper< cl_type > && | rhs | ) |

inline

## Member Function Documentation

template<typename T>

const cl_type cl::detail::Wrapper< T >::get | ( |  | ) | const

inline

template<typename T>

cl_type cl::detail::Wrapper< T >::get | ( |  | ) |

inline

template<typename T>

const cl_type& cl::detail::Wrapper< T >::operator() | ( |  | ) | const

inline

template<typename T>

cl_type& cl::detail::Wrapper< T >::operator() | ( |  | ) |

inline

template<typename T>

Wrapper<cl_type>& cl::detail::Wrapper< T >::operator= | ( | const Wrapper< cl_type > & | rhs | ) |

inline

template<typename T>

Wrapper<cl_type>& cl::detail::Wrapper< T >::operator= | ( | Wrapper< cl_type > && | rhs | ) |

inline

template<typename T>

Wrapper<cl_type>& cl::detail::Wrapper< T >::operator= | ( | const cl_type & | rhs | ) |

inline

template<typename T>

cl_int cl::detail::Wrapper< T >::release | ( |  | ) | const

inlineprotected

template<typename T>

cl_int cl::detail::Wrapper< T >::retain | ( |  | ) | const

inlineprotected

## Friends And Related Function Documentation

template<typename T>
template<typename Func , typename U >

cl_int getInfoHelper | ( | Func | ,
|  | cl_uint | ,
|  | U * | ,
|  | int | ,
|  | typename U::cl_type |
| ) |  |

friend

## Member Data Documentation

template<typename T>

cl_type cl::detail::Wrapper< T >::object_

protected

The documentation for this class was generated from the following file:

- /home/travis/build/CMU-Perceptual-Computing-Lab/openpose/include/openpose/gpu/cl2.hpp